* {
  margin: 0;
}
.all-content {
  margin-left: 50px;
  margin-right: 50px;
  margin-top: 0;
  margin-bottom: 0;
  font-size: auto;
  background-color: rgba(169, 169, 169, 0.107);
  border-top: 100px;
  position: relative;
}
.heading-title {
  padding-top: 20px;
}

.top-header {
  background-color: rgba(248, 238, 238, 0.781);
  padding-bottom: 10px;
}
.header-image {
  padding-left: 20px;
  padding-bottom: 15px;
}
h2,
h3 {
  color: rgb(44, 112, 123);
  font-weight: bold;
  padding: 22px 10px;
}
h1 {
  color: rgb(44, 112, 123);
  font-weight: 600;
  font-size: 25px;
  text-transform: uppercase;
  line-height: 1;
  text-align: left;
  padding: 22px 10px;
}
h2 {
  font-size: 40px;
}

/*--sub title --*/

h3 {
  font-size: 28px;
  line-height: 1px;
}
/*--Related posts--*/
h4 {
  font-size: 20px;
  text-transform: uppercase;
  text-align: center;
  padding-top: 25px;
  text-decoration: underline;
}
.image-down {
  padding-top: 15px;
}

p {
  font-size: 22px;
  line-height: 1.5;
  padding-left: 10px;
}
li {
  font-size: 20px;
  padding: 5px 5px;
}
#author {
  padding-bottom: 10px;
  font-size: 20px;
}
#Copyright {
  font-size: 14px;
  font-weight: 300;
  padding-top: 13px;
}
.related-author {
  font-size: 15px;
  font-weight: bold;
}
.authorimage {
  list-style: none;
}
aside {
  background-color: rgba(248, 238, 238, 0.781);
  border: 5px solid rgba(185, 136, 90, 0.274);
}

/* hyperlinks tag's  */
a {
  color: rgb(44, 112, 123);
}
a:link {
  font-size: 18px;
  font-weight: bold;
  text-decoration: none;
}
a:active {
  color: rgb(26, 174, 237);
}
a:hover {
  color: rgba(180, 62, 7, 0.822);
  text-decoration: underline solid;
}
/* pesudo code */

li:first-child {
  font-weight: bold;
}
nav a:link {
  font-size: 20px;
  /* display: inline-block; */
  display: inline-block;
  margin-right: 20px;
  padding-left: 20px;
}
/* another peseduo code */
nav a:link:last-child {
  margin-right: 0px;
}
h2::after {
  content: "top";
  text-transform: uppercase;
  background-color: yellow;
  color: black;
  font-size: 16px;
  font-weight: bold;
  display: inline-block;
  padding: 0 5px;
  position: absolute;
}
article p::first-letter {
  color: coral;
}
li::first-letter {
  color: blue;
}
/* Float in css */
h1 {
  float: left;
}
nav {
  padding-top: 20px;
  padding-right: 25px;
  float: right;
}
.clear {
  clear: left;
}
aside {
  width: 250px;
}
